[arch-commits] Commit in libtasn1/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jan 31 05:26:03 EST 2010


    Date: Sunday, January 31, 2010 @ 05:26:03
  Author: jgc
Revision: 66475

Merged revisions 66473 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/libtasn1/trunk

........
  r66473 | jgc | 2010-01-31 11:25:32 +0100 (Sun, 31 Jan 2010) | 4 lines
  
  upgpkg: libtasn1 2.4-1
      Update to 2.4:
  - change url, this is a GNU project now
  - add options to specify packager, version and bugreport address
........

Modified:
  libtasn1/repos/extra-x86_64/	(properties)
  libtasn1/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)


Property changes on: libtasn1/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libtasn1/trunk:1-40952
   + /libtasn1/trunk:1-66474

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-31 10:25:47 UTC (rev 66474)
+++ extra-x86_64/PKGBUILD	2010-01-31 10:26:03 UTC (rev 66475)
@@ -3,24 +3,24 @@
 # Contributor: judd <jvinet at zeroflux.org>
 
 pkgname=libtasn1
-pkgver=2.2
+pkgver=2.4
 pkgrel=1
 pkgdesc="The ASN.1 library used in GNUTLS"
 arch=(i686 x86_64)
 license=('GPL3' 'LGPL')
-url="http://www.gnu.org/software/gnutls/"
+url="http://www.gnu.org/software/libtasn1/"
 depends=('glibc' 'texinfo')
 options=('!libtool')
 install=libtasn1.install
-source=(ftp://ftp.gnu.org/gnu/gnutls/${pkgname}-${pkgver}.tar.gz)
-md5sums=('14cc361500d2e768a8a6ec538ce3fecb')
+source=(ftp://ftp.gnu.org/gnu/libtasn1/${pkgname}-${pkgver}.tar.gz)
+md5sums=('bdfd59d6eb7924350e91367eb8adaa3c')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  ./configure --prefix=/usr || return 1
+  ./configure --prefix=/usr \
+      --with-packager=Archlinux \
+      --with-packager-bug-reports="http://bugs.archlinux.org/" \
+      --with-packager-version=${pkgver}-${pkgrel} || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
-
-  rm -f "${pkgdir}/usr/share/info/dir"
-  gzip ${pkgdir}/usr/share/info/* || return 1
 }



More information about the arch-commits mailing list